package com.ssj.service.kmt.request;

import io.swagger.annotations.ApiModelProperty;

import com.ssj.bean.common.framework.core.domain.BaseRequest;

public class StudentKnowDetailRequest extends BaseRequest {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(name = "vipId", value = "学生id", required = true)
    private String vipId;

    @ApiModelProperty(name = "subject", value = "科目", required = true)
    private String subject;

    @ApiModelProperty(name = "grade", value = "年级", required = true)
    private String grade;

    @ApiModelProperty(name = "bookVersion", value = "版本", required = true)
    private int bookVersion;

    @ApiModelProperty(name = "homeworkPictureId", value = "作业图片id", required = false)
    private String homeworkPictureId;
    
    @ApiModelProperty(name = "type", value = "图片不合格，0是模糊， 1是作业不全", required = false)
    private Integer type;

    public String getVipId() {
        return vipId;
    }

    public void setVipId(String vipId) {
        this.vipId = vipId;
    }

    public String getSubject() {
        return subject;
    }

    public void setSubject(String subject) {
        this.subject = subject;
    }

    public String getGrade() {
        return grade;
    }

    public void setGrade(String grade) {
        this.grade = grade;
    }

    public int getBookVersion() {
        return bookVersion;
    }

    public void setBookVersion(int bookVersion) {
        this.bookVersion = bookVersion;
    }

    public String getHomeworkPictureId() {
        return homeworkPictureId;
    }

    public void setHomeworkPictureId(String homeworkPictureId) {
        this.homeworkPictureId = homeworkPictureId;
    }

	public Integer getType() {
		return type;
	}

	public void setType(Integer type) {
		this.type = type;
	}

	
    
    
    
}
